Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1516623 - [RFE] The job invocations page should show the total number of hosts on which the job has to run
Summary: [RFE] The job invocations page should show the total number of hosts on which...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Remote Execution
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Dmitri Dolguikh
QA Contact: Peter Ondrejka
URL:
Whiteboard: scale_lab
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-23 06:37 UTC by sbadhwar
Modified: 2018-10-16 15:29 UTC (History)
9 users (show)

Fixed In Version: tfm-rubygem-foreman_remote_execution-1.5.2-2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 15:29:23 UTC


Attachments (Terms of Use)
Job invocations page when 30k hosts were running Remote execution (deleted)
2017-11-23 06:37 UTC, sbadhwar
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2927 None None None 2018-10-16 15:29:54 UTC
Foreman Issue Tracker 21810 None None None 2017-11-30 09:13:36 UTC

Description sbadhwar 2017-11-23 06:37:06 UTC
Created attachment 1358012 [details]
Job invocations page when 30k hosts were running Remote execution

Description of problem:
So, during the scale testing, we ran Remote Execution on 30k hosts. Now when we open the job invocations page it shows only the amount of hosts queued for execution and not all the hosts on which the task has to run (as shown in the attachment).

Version-Release number of selected component (if applicable):


How reproducible:
Everytime


Steps to Reproduce:
1. Run a Remote Execution on large number of hosts
2. Open the job invocation page

Actual results:
Job Invocation page shows the number of queued tasks on which the tasks should be executed


Expected results:
Job Invocations page should show the total number of hosts on which the job should be executed

Comment 2 Adam Ruzicka 2017-11-30 09:13:33 UTC
Created redmine issue http://projects.theforeman.org/issues/21810 from this bug

Comment 3 pm-sat@redhat.com 2018-04-17 20:20:03 UTC
Upstream bug assigned to ddolguik@redhat.com

Comment 4 pm-sat@redhat.com 2018-04-17 20:20:08 UTC
Upstream bug assigned to ddolguik@redhat.com

Comment 5 pm-sat@redhat.com 2018-04-27 12:19:49 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/21810 has been resolved.

Comment 8 Peter Ondrejka 2018-09-13 13:16:26 UTC
Verified on satellite 6.4 snap 21, total hosts count is now correctly displayed

Comment 10 errata-xmlrpc 2018-10-16 15:29:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.